View Issue Details

IDProjectCategoryView StatusLast Update
0005046Talerwallet (WebExtensions)public2018-04-15 20:36
ReporterMarcello StanisciAssigned ToFlorian Dold 
PrioritynormalSeveritytweakReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.5Fixed in Version0.5 
Summary0005046: Inconsistent error message at the withdraw dialog
DescriptionThe withdraw dialog always shows a "Invalid exchange URL" error message,
even for errors not at all related to the exchange URL.

For example, I get this message even though the exchange triggers a SchemaError
in the wallet - by returning invalid JSON from /keys.

The message though also sticks too much to the green "Select" button; would be
nicer to put some distance between the button and the message.
TagsNo tags attached.

Activities

Florian Dold

2018-01-29 19:00

manager   ~0012826

Fixed in 9fe6dc59, we now propagate the error message properly and the spacing is also added now.

Issue History

Date Modified Username Field Change
2017-05-29 19:40 Marcello Stanisci New Issue
2017-05-29 19:40 Marcello Stanisci Status new => assigned
2017-05-29 19:40 Marcello Stanisci Assigned To => Florian Dold
2017-10-23 10:56 Christian Grothoff Severity minor => tweak
2017-10-23 10:56 Christian Grothoff Product Version => SVN HEAD
2017-10-23 10:56 Christian Grothoff Target Version => 0.5
2018-01-29 19:00 Florian Dold Status assigned => resolved
2018-01-29 19:00 Florian Dold Resolution open => fixed
2018-01-29 19:00 Florian Dold Note Added: 0012826
2018-04-15 20:35 Christian Grothoff Fixed in Version => 0.5
2018-04-15 20:36 Christian Grothoff Status resolved => closed